var chars = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789!@";
var charsl = chars.length;
var result = "";
$(".beCreatePassword").on("click",function(){	
    var area = $(this).data("area");
    result = "!";
    for(var i = 0; i < 12; i++){
        result += chars.charAt(Math.floor(Math.random()*(charsl+1)));
    }	
    $(area).val(result);
    return false;
});
var wait = false;
$(".beCallRequest").on("click",function(){
    if(!wait){
        wait = true;
        var item = $(this);
        var content = item.html();
        item.html('<span class="btn-spinner mx-2"></span> Lütfen Bekleyiniz!');
        var method = item.data("method");
        var form = item.data("form");
        var data = item.data("data");
        var datacontent = "";
        if(form){
            datacontent = $("#"+form+"Form").serialize()+"&inc=panel_operation_method&method="+method;
        }
        else{
            datacontent = data+"&inc=panel_operation_method&method="+method;
        }
        $.ajax({
            type: "post",
            data: datacontent,
            dataType: "json",
            crossDomain: true,
            success: function(response){
                wait = false;
                item.html(content);
                if(response.status){
                    alert_success(response.message);
                    if(response.refresh){
                        setTimeout(function(){
                            location.reload();
                        },1000);
                    }
                    if(response.url){
                        window.location.href = response.url
                    }
                }
                else{
                    alert_error(response.message);
                }
            }
        });	
        return false;
    }
    else{
        alert_error("İşlem devam ediyor lütfen bekleyiniz");
    }
});
$(".beCopyText").on("click",function(){
    return navigator.clipboard.writeText($(this).data("content")),!1;
});