<link rel="stylesheet" href="<?= $url ?>/assets/css/bemain.css?v=4">
<script src="<?= $url ?>/assets/js/sweetalert2.js"></script>
<div class="berow" style="width:100%">
    <div class="becol-4 becol-md-12 mb-3">
        <div class="becard beaccounting mb-3">
            <div class="becard-header">
                <div>
                    <span class="becard-title"><i class="ri-user-line"></i> Giriş Bilgileri</span>
                </div>
            </div>
            <div class="becard-content">
                <div class="berow">
                    <div class="becol-12 becol-md-12 mb-3 p-0">
                        <div class="berow mt-1">
                            <div class="becol-12">
                                <span class="betext-primary"><?= $lang['server_info_user'] ?>:</span>
                            </div>
                            <div class="becol-12 mt-1">
                                <span class="betext-primary-open"><?= $vminfo['username'] ?><a href="#" class="beCopyText text-sm text-normal ml-1" title="<?= $lang['global_copy'] ?>" data-content="<?= $vminfo['username'] ?>"><img src="<?= $url ?>/assets/img/copy.svg" width="16" height="16"></a></span>
                            </div>
                        </div>
                        <div class="berow mt-3">
                            <div class="becol-12">
                                <span class="betext-primary"><?= $lang['server_info_password'] ?>:</span>
                            </div>
                            <div class="becol-12 mt-1">
                                <span class="betext-primary-open"><?= $vminfo['password'] ?><a href="#" class="beCopyText text-sm text-normal ml-1" title="<?= $lang['global_copy'] ?>" data-content="<?= $vminfo['password'] ?>"><img src="<?= $url ?>/assets/img/copy.svg" width="16" height="16"></a></span>
                            </div>
                        </div>
                        <div class="berow mt-3">
                            <div class="becol-12">
                                <span class="betext-primary"><?= $lang['server_info_ipaddress'] ?>:</span>
                            </div>
                            <div class="becol-12 mt-1">
                                <span class="betext-primary-open"><?= $vminfo['ipaddres'] ?><a href="#" class="beCopyText text-sm text-normal ml-1" title="<?= $lang['global_copy'] ?>" data-content="<?= $vminfo['ipaddres'] ?>"><img src="<?= $url ?>/assets/img/copy.svg" width="16" height="16"></a></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="becol-8 becol-md-12 mb-3">
        <div class="berow">
            <div class="becol-4 becol-md-6 mb-3">
                <div class="becard beh-100">
                    <div class="becard-header">
                        <div>
                            <span class="becard-title berow-stack">
                                <img src="<?= $url ?>/assets/img/cpu.svg" width="20" height="20">
                                <span class="ml-1"><?= $lang['stats_cpu'] ?></span>
                            </span>
                        </div>
                    </div>
                    <div class="becard-content text-center">
                        <span class="betext-primary text-sm"><?= $usageinfo['cpu_max'] ?> MHZ</span>
                    </div>
                </div>
            </div>
            <div class="becol-4 becol-md-6 mb-3">
                <div class="becard beh-100">
                    <div class="becard-header">
                        <div>
                            <span class="becard-title berow-stack">
                                <img src="<?= $url ?>/assets/img/ram.svg" width="20" height="20">
                                <span class="ml-1"><?= $lang['stats_ram'] ?></span>
                            </span>
                        </div>
                    </div>
                    <div class="becard-content text-center">
                        <span class="betext-primary text-sm"><?= $usageinfo['ram_max'] ?> MB</span>
                    </div>
                </div>
            </div>
            <div class="becol-4 becol-md-12 mb-3">
                <div class="becard beh-100">
                    <div class="becard-header">
                        <div>
                            <span class="becard-title berow-stack">
                                <img src="<?= $url ?>/assets/img/disc.svg" width="20" height="20">
                                <span class="ml-1"><?= $lang['stats_disc'] ?></span>
                            </span>
                        </div>
                    </div>
                    <div class="becard-content text-center">
                        <span class="betext-primary text-sm"><?= $usageinfo['disk_max'] ?> GB</span>
                    </div>
                </div>
            </div>
            <div class="becol-6 becol-md-6 mb-3">
                <div class="becard beh-100">
                    <div class="becard-header">
                        <div>
                            <span class="becard-title berow-stack">
                                <img src="<?= $url ?>/assets/img/os.svg" width="20" height="20">
                                <span class="ml-1"><?= $lang['server_info_os'] ?></span>
                            </span>
                        </div>
                    </div>
                    <div class="becard-content text-center">
                        <span class="betext-primary text-sm"><?= $vminfo['templatename'] ?></span>
                    </div>
                </div>
            </div>
            <div class="becol-6 becol-md-6 mb-3">
                <div class="becard beh-100">
                    <div class="becard-header">
                        <div>
                            <span class="becard-title berow-stack">
                                <img src="<?= $url ?>/assets/img/os.svg" width="20" height="20">
                                <span class="ml-1"><?= $lang['server_info_uptime'] ?></span>
                            </span>
                        </div>
                    </div>
                    <div class="becard-content text-center">
                        <span class="betext-primary text-sm"><?= $vminfo['uptime'] ?> DK</span>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="becol-12 becol-md-12 mb-3">
        <div class="berow">
            <div class="becol-4 becol-md-12 mb-3">
                <div class="becard beaccounting beh-100 mb-3">
                    <div class="becard-header">
                        <div>
                            <span class="becard-title"><?= $lang['server_info'] ?></span>
                        </div>
                    </div>
                    <div class="becard-content">
                        <div class="berow mb-3">
                            <div class="becol-12">
                                <span class="finance betext-primary"><?= $orderinfo['amount'] ?></span>
                            </div>
                            <div class="becol-12 nextdue">
                                <span><?= $lang['server_info_nexduedate'] ?></span>
                                <span class="betext-primary-open"><?= $orderinfo['nextduedate'] ?></span>
                            </div>
                        </div>
                        <hr>
                        <div class="berow mt-1 nextdue">
                            <div class="becol-6">
                                <span class="betext-primary"><?= $lang['server_info_productname'] ?></span>
                            </div>
                            <div class="becol-6">
                                <span class="betext-primary-open"><?= $orderinfo['product'] ?></span>
                            </div>
                        </div>
                        <div class="berow mt-1 nextdue">
                            <div class="becol-6">
                                <span class="betext-primary"><?= $lang['server_info_buydate'] ?></span>
                            </div>
                            <div class="becol-6">
                                <span class="betext-primary-open"><?= $orderinfo['regdate'] ?></span>
                            </div>
                        </div>
                        <div class="berow mt-1 nextdue">
                            <div class="becol-6">
                                <span class="betext-primary"><?= $lang['server_info_price'] ?></span>
                            </div>
                            <div class="becol-6">
                                <span class="betext-primary-open"><?= $orderinfo['amount'] ?></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="becol-4 becol-md-12 mb-3">
                <div class="becard beaccounting beh-100">
                    <div class="becard-header">
                        <div>
                            <span class="becard-title"><i class="ri-earth-line"></i> İnternet</span>
                        </div>
                    </div>
                    <div class="becard-content">
                        <div class="berow my-2">
                            <div class="becol-12">
                                <span><?= $lang['server_info_ipaddress'] ?>:</span>
                            </div>
                            <div class="becol-12 mt-1">
                                <span class="text-lg"><?= $vminfo['ipaddres'] ?><a href="#" class="beCopyText text-sm text-normal ml-1" title="<?= $lang['global_copy'] ?>" data-content="<?= $vminfo['ipaddres'] ?>"><img src="<?= $url ?>/assets/img/copy.svg" width="16" height="16"></a></span>
                            </div>
                        </div>
                        <hr>
                        <div class="berow mt-1 nextdue">
                            <div class="becol-6">
                                <span><?= $lang['stats_network_connection'] ?></span>
                            </div>
                            <div class="becol-6">
                                <?php if($vminfo['power'] == 1): ?>
                                <span class="text-success"><?= $lang['stats_network_connection_yes'] ?></span>
                                <?php else: ?>
                                <span class="text-danger"><?= $lang['stats_network_connection_no'] ?></span>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="berow mt-1 nextdue">
                            <div class="becol-6">
                                <span><?= $lang['stats_network_live'] ?>:</span>
                            </div>
                            <div class="becol-6">
                                <span id="beNetworkUsageLive"><?= $usageinfo['network_usage'] ?> <?= $usageinfo['network_type'] ?></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="becol-4 becol-md-12 mb-3">
                <div class="berow">
                    <?php if($vminfo['power'] == 1): ?>
                    <div class="becol-12 mb-2">
                        <div class="becard beh-100">
                            <div class="becard-content">
                                <a href="#" class="beCallRequest berow-flex berow-align" data-method="power_action" data-data="process=stop">
                                    <img src="<?= $url ?>/assets/img/stop.svg" width="24" height="24">
                                    <span class="ml-1"><?= $lang['manage_stop'] ?></span>
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="becol-12 mb-2">
                        <div class="becard beh-100">
                            <div class="becard-content">
                                <a href="#" class="beCallRequest berow-flex berow-align" data-method="power_action" data-data="process=restart">
                                    <img src="<?= $url ?>/assets/img/restart.svg" width="24" height="24">
                                    <span class="ml-1"><?= $lang['manage_restart'] ?></span>
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="becol-12 mb-2">
                        <div class="becard beh-100">
                            <div class="becard-content">
                                <a href="#" class="beCallRequest berow-flex berow-align" data-method="entegration" data-data="type=network">
                                    <img src="<?= $url ?>/assets/img/uptime.svg" width="24" height="24">
                                    <span class="ml-1"><?= $lang['manage_entegration_ip'] ?></span>
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="becol-12 mb-2">
                        <div class="becard beh-100">
                            <div class="becard-content">
                                <a href="#" class="beCallRequest berow-flex berow-align" data-method="entegration" data-data="type=disc">
                                    <img src="<?= $url ?>/assets/img/uptime.svg" width="24" height="24">
                                    <span class="ml-1"><?= $lang['manage_entegration_disc'] ?></span>
                                </a>
                            </div>
                        </div>
                    </div>
                    <?php else: ?>
                    <div class="becol-12 mb-2">
                        <div class="becard beh-100">
                            <div class="becard-content">
                                <a href="#" class="beCallRequest berow-flex berow-align" data-method="power_action" data-data="process=start">
                                    <img src="<?= $url ?>/assets/img/start.svg" width="24" height="24">
                                    <span class="ml-1"><?= $lang['manage_start'] ?></span>       
                                </a>
                            </div>
                        </div>
                    </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
    <div class="becol-12 becol-md-12 mb-3">
        <div class="becard">
            <div class="becard-content no-p py-1">
                <div class="becard-menu-list">
                    <ul>
                        <li><a href="<?= $module->area_link; ?>?m_page=password"><span class="betext-primary-open"><?= $lang['manage_password'] ?></span></a></li>
                        <?php if(defined("BE_CONSOLE")): ?>
                        <li><a href="<?= $module->area_link; ?>?m_page=console"><span class="betext-primary-open"><?= $lang['manage_console'] ?></span></a></li>
                        <?php endif; ?>
                        <li><a href="<?= $module->area_link; ?>?m_page=format"><span class="betext-primary-open"><?= $lang['manage_format'] ?></span></a></li>
                        <li><a href="<?= $module->area_link; ?>?m_page=ip"><span class="betext-primary-open"><?= $lang['manage_ip'] ?></span></a></li>
                        <li><a href="<?= $module->area_link; ?>?m_page=rdns"><span class="betext-primary-open"><?= $lang['manage_list_rdns'] ?></span></a></li>
                        <li><a href="<?= $module->area_link; ?>?m_page=snapshot"><span class="betext-primary-open"><?= $lang['manage_snapshot'] ?></span></a></li>
                        <li><a href="<?= $module->area_link; ?>?m_page=logs"><span class="betext-primary-open"><?= $lang['manage_logs'] ?></span></a></li>
                    </ul>
                </div>
            </div>
        </div> 
    </div>
    <div class="becol-12 becol-md-12 mb-3">
        <div class="becard">
            <div class="becard-header">
                <div>
                    <span class="becard-title"><?= $lang['manage_stats'] ?></span>
                </div>
            </div>
            <div class="becard-content">
                <div class="berow mb-3">
                    <div class="becol-3 becol-md-6 mb-3">
                        <div class="text-center">CPU</div>
                        <div class="besr_percent">
                            <svg viewBox="0 0 36 36" class="besr_circle_chart">
                                <path class="besr_circle_bg" d="M18 2.0845 a 15.9155 15.9155 0 0 1 0 31.831 a 15.9155 15.9155 0 0 1 0 -31.831"></path>
                                <path class="besr_circle" id="cpuPercentPath" d="M18 2.0845 a 15.9155 15.9155 0 0 1 0 31.831 a 15.9155 15.9155 0 0 1 0 -31.831" style="stroke: #009ef7;stroke-dasharray: <?= $usageinfo['cpu_percent'] ?>, 100;"></path>
                                <text class="besr_circle_percentage" x="18" y="20.35" id="cpuPercent"><?= $usageinfo['cpu_percent'] ?>%</text>
                            </svg>
                        </div>
                        <div class="text-center text-normal text-sm" id="cpuPercentText"><?= $usageinfo['cpu_usage'] ?> <?= $usageinfo['cpu_type'] ?> / <?= $usageinfo['cpu_max'] ?> MHZ</div>
                    </div>
                    <div class="becol-3 becol-md-6 mb-3">
                        <div class="text-center">RAM</div>
                        <div class="besr_percent">
                            <svg viewBox="0 0 36 36" class="besr_circle_chart">
                                <path class="besr_circle_bg" d="M18 2.0845 a 15.9155 15.9155 0 0 1 0 31.831 a 15.9155 15.9155 0 0 1 0 -31.831"></path>
                                <path class="besr_circle" id="ramPercentPath" d="M18 2.0845 a 15.9155 15.9155 0 0 1 0 31.831 a 15.9155 15.9155 0 0 1 0 -31.831" style="stroke: #009ef7;stroke-dasharray: <?= $usageinfo['ram_percent'] ?>, 100;"></path>
                                <text class="besr_circle_percentage" x="18" y="20.35" id="ramPercent"><?= $usageinfo['ram_percent'] ?>%</text>
                            </svg>
                        </div>
                        <div class="text-center text-normal text-sm" id="ramPercentText"><?= $usageinfo['ram_usage'] ?> <?= $usageinfo['ram_type'] ?> / <?= $usageinfo['ram_max'] ?> MB</div>
                    </div>
                    <div class="becol-3 becol-md-6 mb-3">
                        <div class="text-center">DISK</div>
                        <div class="besr_percent">
                            <svg viewBox="0 0 36 36" class="besr_circle_chart">
                                <path class="besr_circle_bg" d="M18 2.0845 a 15.9155 15.9155 0 0 1 0 31.831 a 15.9155 15.9155 0 0 1 0 -31.831"></path>
                                <path class="besr_circle" id="discPercentPath" d="M18 2.0845 a 15.9155 15.9155 0 0 1 0 31.831 a 15.9155 15.9155 0 0 1 0 -31.831" style="stroke: #009ef7;stroke-dasharray: <?= $usageinfo['disk_percent'] ?>, 100;"></path>
                                <text class="besr_circle_percentage" x="18" y="20.35" id="discPercent"><?= $usageinfo['disk_percent'] ?>%</text>
                            </svg>
                        </div>
                        <div class="text-center text-normal text-sm" id="discPercentText"><?= $usageinfo['disk_usage'] ?> GB / <?= $usageinfo['disk_max'] ?> GB</div>
                    </div>
                    <div class="becol-3 becol-md-6 mb-3">
                        <div class="text-center">NET</div>
                        <div class="besr_percent">
                            <svg viewBox="0 0 36 36" class="besr_circle_chart">
                                <path class="besr_circle_bg" d="M18 2.0845 a 15.9155 15.9155 0 0 1 0 31.831 a 15.9155 15.9155 0 0 1 0 -31.831"></path>
                                <path class="besr_circle" id="netPercentPath" d="M18 2.0845 a 15.9155 15.9155 0 0 1 0 31.831 a 15.9155 15.9155 0 0 1 0 -31.831" style="stroke: #009ef7;stroke-dasharray: 1, 100;"></path>
                                <text class="besr_circle_percentage" x="18" y="20.35" id="netPercent"><?= $usageinfo['network_usage'] ?> <?= $usageinfo['network_type'] ?></text>
                            </svg>
                        </div>
                        <div class="text-center text-normal text-sm" id="netPercentText"><?= $usageinfo['network_usage'] ?> <?= $usageinfo['network_type'] ?></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="<?= $url ?>/assets/js/besystems.js?v="></script>
<script>
    $(document).ready(function(){
        var def1,def2,def3;
        const sleep = ms => new Promise(resolve => setTimeout(resolve, ms));
        def1 = parseInt(document.getElementById("cpuPercentPath").style.strokeDasharray.split(",")[0]);
        def2 = parseInt(document.getElementById("ramPercentPath").style.strokeDasharray.split(",")[0]);
        def3 = parseInt(document.getElementById("discPercentPath").style.strokeDasharray.split(",")[0]);
        if(!def1){
            def1 = 0;
        }
        if(!def2){
            def2 = 0;
        }
        if(!def3){
            def3 = 0;
        }
        (async () => {
        for (let i = 0; i < 101; i++) {
            document.getElementById("cpuPercentPath").style.strokeDasharray = (i+", 100");
            document.getElementById("ramPercentPath").style.strokeDasharray = (i+", 100");
            document.getElementById("discPercentPath").style.strokeDasharray = (i+", 100");
            document.getElementById("netPercentPath").style.strokeDasharray = (i+", 100");
            await sleep(10);
        }
        await sleep(500);
        for (let i = 100; i > 0; i--) {
            if(i > def1){
                document.getElementById("cpuPercentPath").style.strokeDasharray = (i+", 100");
            }
            if(i > def2){
                document.getElementById("ramPercentPath").style.strokeDasharray = (i+", 100");
            }
            if(i > def3){
                document.getElementById("discPercentPath").style.strokeDasharray = (i+", 100");
            }
            document.getElementById("netPercentPath").style.strokeDasharray = (i+", 100");    
            await sleep(10);
        }    
        })();
        var more = true;
        setInterval(function(){ 
            if(more){
                more = false;
                $.ajax({
                    type: "post",
                    data: {inc:"panel_operation_method",method:"check_stat"},
                    dataType: "json",
                    crossDomain: true,
                    success: function(response){
                        document.getElementById("cpuPercentPath").style.strokeDasharray = (response.cpu_percent+", 100");
                        $("#cpuPercentPath").css("stroke",response.cpu_percent_color);
                        $("#cpuPercentText").html(response.cpu_usage+" "+response.cpu_type+" / "+response.cpu_max+" MHZ");
                        $("#cpuPercent").html(response.cpu_percent+"%");
                        document.getElementById("ramPercentPath").style.strokeDasharray = (response.ram_percent+", 100");
                        $("#ramPercentPath").css("stroke",response.ram_percent_color);
                        $("#ramPercentText").html(response.ram_usage+" "+response.ram_type+" / "+response.ram_max+"  MB");
                        $("#ramPercent").html(response.ram_percent+"%");
                        document.getElementById("discPercentPath").style.strokeDasharray = (response.disc_percent+", 100");
                        $("#discPercentPath").css("stroke",response.disc_percent_color);
                        $("#discPercentText").html(response.disc_usage+" GB / "+response.disc_max+" GB");
                        $("#discPercent").html(response.disc_percent+"%");
                        $("#netPercent").html(response.network_usage+" "+response.network_type);
                        $("#beNetworkUsageLive").html(response.network_usage+" "+response.network_type);
                        $("#netPercentText").html(response.network_usage+" "+response.network_type);
                        more = true;
                    }
                });	
            }	
        },10000);
        setTimeout(function(){
            location.reload();
        },300000)
    });
</script>