<link rel="stylesheet" href="<?= $url ?>/assets/css/bemain.css?v=7">
<script src="<?= $url ?>/assets/js/sweetalert2.js"></script>

<div class="berow">
    <div class="becol-12 becol-md-12 mb-3 mt-3">
        <div class="becard">
            <div class="becard-content no-p py-1">
                <div class="becard-menu-list">
                     <ul>
                    <li><a href="<?= $module->area_link; ?>"><span class="betext-primary-open"><?= $lang['manage_index'] ?></span></a></li>
                    <li><a href="<?= $module->area_link; ?>?m_page=password"><span class="betext-primary-open"><?= $lang['manage_password'] ?></span></a></li>
                    <?php if(defined("BE_CONSOLE")): ?>
                    <li><a href="<?= $module->area_link; ?>?m_page=console"><span class="betext-primary-open"><?= $lang['manage_console'] ?></span></a></li>
                    <?php endif; ?>
                    <li><a href="<?= $module->area_link; ?>?m_page=format"><span class="betext-primary-open"><?= $lang['manage_format'] ?></span></a></li>
                    <li><a href="<?= $module->area_link; ?>?m_page=rdns"><span class="betext-primary-open"><?= $lang['manage_list_rdns'] ?></span></a></li>
                    <li><a href="<?= $module->area_link; ?>?m_page=snapshot"><span class="betext-primary-open"><?= $lang['manage_snapshot'] ?></span></a></li>
                    <li><a href="<?= $module->area_link; ?>?m_page=logs"><span class="betext-primary-open"><?= $lang['manage_logs'] ?></span></a></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
   <div class="becol-12">
      <div class="becard">
         <div class="becard-header">
            <div>
               <span class="becard-title"><?= $lang['manage_ip'] ?></span>
            </div>
         </div>
         <div class="becard-content">
            <table class="btable">
                <thead>
                    <tr>
                        <th>IPv4</th> 
                        <th>Gateway</th> 
                        <th>Netmask</th>
                        <th>Mac</th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach($iplist as $ip): ?>
                    <tr>
                        <td><?= $ip['iaddress'] ?></td>
                        <td><?= $ip['igateway'] ?></td>
                        <td><?= $ip['inetmask'] ?></td>
                        <td><?= $ip['imac'] ?></td>
                    </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
         </div>
      </div>
   </div>
</div>
<script src="<?= $url ?>/assets/js/besystems.js?v=2"></script>