<link rel="stylesheet" href="<?= $url ?>/assets/css/bemain.css?v=7">
<script src="<?= $url ?>/assets/js/sweetalert2.js"></script>

<div class="berow">
    <div class="becol-12 becol-md-12 mb-3 mt-3">
        <div class="becard">
            <div class="becard-content no-p py-1">
                <div class="becard-menu-list">
                    <ul>
                    <li><a href="<?= $module->area_link; ?>"><span class="betext-primary-open"><?= $lang['manage_index'] ?></span></a></li>
                    <li><a href="<?= $module->area_link; ?>?m_page=password"><span class="betext-primary-open"><?= $lang['manage_password'] ?></span></a></li>
                    <?php if(defined("BE_CONSOLE")): ?>
                    <li><a href="<?= $module->area_link; ?>?m_page=console"><span class="betext-primary-open"><?= $lang['manage_console'] ?></span></a></li>
                    <?php endif; ?>
                    <li><a href="<?= $module->area_link; ?>?m_page=format"><span class="betext-primary-open"><?= $lang['manage_format'] ?></span></a></li>
                    <li><a href="<?= $module->area_link; ?>?m_page=ip"><span class="betext-primary-open"><?= $lang['manage_ip'] ?></span></a></li>
                    <li><a href="<?= $module->area_link; ?>?m_page=rdns"><span class="betext-primary-open"><?= $lang['manage_list_rdns'] ?></span></a></li>
                    <li><a href="<?= $module->area_link; ?>?m_page=snapshot"><span class="betext-primary-open"><?= $lang['manage_snapshot'] ?></span></a></li>
                    <li><a href="<?= $module->area_link; ?>?m_page=logs"><span class="betext-primary-open"><?= $lang['manage_logs'] ?></span></a></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
   <div class="becol-12">
      <div class="becard">
         <div class="becard-header">
            <div>
               <span class="becard-title"><?= $lang['manage_logs'] ?></span>
            </div>
         </div>
         <div class="becard-content">
            <table class="btable">
                <thead>
                    <tr>
                        <th>#</th>
                        <th><?= $lang['logspage_process'] ?></th>
                        <th><?= $lang['logspage_date'] ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php if($logs): ?>
                    <?php foreach($logs as $log): ?>
                    <tr>
                        <td><?= $log["lid"] ?></td>
                        <td><?= $log["ldescription"] ?></td>
                        <td><?= date("d.m.Y H:i",$log["ldateline"]) ?></td>
                    </tr>
                    <?php endforeach; ?>
                    <?php else: ?>
                    <tr>
                        <td colspan="4">
                            <div class="beempty">
                                <div>Hiç bir işlem kaydınız bulunmuyo</div>
                            </div>
                        </td>
                    </tr>
                    <?php endif; ?>
                </tbody>
            </table>
         </div>
      </div>
   </div>
</div>
<script src="<?= $url ?>/assets/js/besystems.js?v=2"></script>