<link rel="stylesheet" href="<?= $url ?>/assets/css/bemain.css?v=4">
<script src="<?= $url ?>/assets/js/sweetalert2.js"></script>

<div class="berow">
    <div class="becol-12 becol-md-12 mb-3 mt-3">
        <div class="becard">
            <div class="becard-content no-p py-1">
                <div class="becard-menu-list">
                    <ul>
                    <ul>
                    <li><a href="<?= $module->area_link; ?>"><span class="betext-primary-open"><?= $lang['manage_index'] ?></span></a></li>
                    <li><a href="<?= $module->area_link; ?>?m_page=password"><span class="betext-primary-open"><?= $lang['manage_password'] ?></span></a></li>
                    <li><a href="<?= $module->area_link; ?>?m_page=format"><span class="betext-primary-open"><?= $lang['manage_format'] ?></span></a></li>
                    <li><a href="<?= $module->area_link; ?>?m_page=ip"><span class="betext-primary-open"><?= $lang['manage_ip'] ?></span></a></li>
                    <li><a href="<?= $module->area_link; ?>?m_page=rdns"><span class="betext-primary-open"><?= $lang['manage_list_rdns'] ?></span></a></li>
                    <li><a href="<?= $module->area_link; ?>?m_page=snapshot"><span class="betext-primary-open"><?= $lang['manage_snapshot'] ?></span></a></li>
                    <li><a href="<?= $module->area_link; ?>?m_page=logs"><span class="betext-primary-open"><?= $lang['manage_logs'] ?></span></a></li>
                    </ul>
                    </ul>
                </div>
            </div>
        </div>
    </div>
   <div class="becol-12">
      <div class="becard">
         <div class="becard-header">
            <div>
               <span class="becard-title"><?= $lang['console_name'] ?></span>
            </div>
         </div>
         <div class="becard-content">
            <div class="berow-flex berow-align">
                <a href="#" class="btn btn-primary btn-sm ml-1" id="fullscreen"><?= $lang['console_fullscreen'] ?></a>
                <a href="#" class="btn btn-primary btn-sm ml-1" id="sendCAD">CTRL+ALT+DELETE</a>
            </div>
            <div class="berow my-3">
                <div class="becol-12 mb-3">
                    <div class="beform-group">
                    <label for="Password"><?= $lang['console_command_send'] ?></label>
                    <div class="beform-input-area">
                        <input type="text" class="beform-control" id="beCommand">
                        <button class="btn btn-primary" id="beSendCommand"><?= $lang['console_command_send'] ?></button>
                    </div>
                    </div>
                </div>
            </div>
         </div>
         <div class="becard-content">
            <div id="wmksmaincontainer" style="position:relative;width:100%;height:500px">
                <div id="wmkscontainer" style="position:absolute;left:0;top:0;"></div>
            </div>
         </div>
      </div>
   </div>
</div>
<script src="<?= $url ?>/assets/js/jquery-ui.min.js"></script>
<script src="<?= $url ?>/assets/js/wmks.min.js"></script>
<script src="<?= $url ?>/assets/js/besystems.js"></script>
<script>
    var wmks = null;
	$(function() {
		function layout() {
			container.width($("#wmksmaincontainer").width()+"px").height($("#wmksmaincontainer").height()+"px").css("top","20px");
            wmks.setRemoteScreenSize($("#wmksmaincontainer").width(),$("#wmksmaincontainer").height());
		}
		var container = $("#wmkscontainer");
		var fullscreen = $("#fullscreen");
		var sendCAD = $("#sendCAD");
		var beSendCommand = $("#beSendCommand");
		wmks = WMKS.createWMKS("wmkscontainer",{
			keyboardLayoutId: "en-US"
		});
		wmks.register(WMKS.CONST.Events.CONNECTION_STATE_CHANGE, function(evt, data) {
           switch (data.state) {
              case WMKS.CONST.ConnectionState.CONNECTING:
                 console.log("The console is connecting");
                 break;
              case WMKS.CONST.ConnectionState.CONNECTED:
                 console.log("The console has been connected");
                 var numMksConnections = "0";
                 if(numMksConnections > 0){
					alert_error("There are existing remote console connections to this virtual machine. Proceed with caution or exit the console.");
                 }
                 $("#mainCanvas").attr("role","img");
                 $("#mainCanvas").attr("aria-label","beConsole Systems");
                 break;
              case WMKS.CONST.ConnectionState.DISCONNECTED:
                 console.log("The console has been disconnected");
                 if(data.reason && data.reason !== ""){
                    showMessage(data.reason);
                 } 
				 else{
					alert_error("The console has been disconnected. Close this window and re-launch the console to reconnect.");
                 }
                 break;
			}
		});
		wmks.register(WMKS.CONST.Events.ERROR, function(evt,data){
            alert_error(data.errorType)
		});
		wmks.register(WMKS.CONST.Events.REMOTE_SCREEN_SIZE_CHANGE, function(evt, data){
			layout();
		});
		sendCAD.on("click", function() {
			wmks.sendCAD();
			return false;
		});
		beSendCommand.on("click",function(){
			wmks.sendInputString($("#beCommand").val());
            $("#beCommand").val("");
			return false;
		});
		if(wmks.canFullScreen()){
			fullscreen.on("click",function (evt){
				wmks.enterFullScreen();
				return false;
			});
		} 
		else{
			fullscreen.hide();
		}
		$(window).on("resize",layout);
        wmks.connect("<?= $console_url ?>");
        layout();
        wmks.setRemoteScreenSize($("#wmksmaincontainer").width(),$("#wmksmaincontainer").height());
	});
</script>